---
wsId: coincastCrypto
title: Coincast — Send Crypto
altTitle: 
authors:
- danny
users: 10000
appId: co.minty.coincast
appCountry: 
released: 2021-07-18
updated: 2022-05-13
version: 1.2.15
stars: 3.5
ratings: 8
reviews: 19
size: 49M
website: https://coincast.app
repository: 
issue: 
icon: co.minty.coincast.png
bugbounty: 
meta: ok
verdict: nosource
date: 2022-04-11
signer: 
reviewArchive: 
twitter: CoincastApp
social:
- https://www.facebook.com/coincastcrypto/
- https://www.instagram.com/CoincastApp/
- https://www.tiktok.com/@Coincast
- https://www.reddit.com/r/Coincast/
redirect_from: 

---

## App Description

Coincast is a wallet that supports Bitcoin and Ethereum. The description claims that users have access to their private keys.

It also advertises a feature that allows the sending of crypto through a text message.

> You simply text the crypto to a specific phone number and Coincast does the rest. The funds will be stored in an intermediary wallet with high-entropy access via a withdraw code which gets texted to your recipient. This code can be used at any time in the future by them to access the intermediary wallet and withdraw the funds. They do not need a Coincast account to receive funds. They can, at a future date, create a Coincast wallet and withdraw the funds into their wallet.

Here is a paragraph concerning the wallet's security.

> Coincast utilizes Recoverable Private Key (RPK) technology. Your private keys are never stored anywhere, they are regenerated from scratch as you need them via complex/secure algorithms which utilize your PIN and "random bits". If you get a new device, you can regenerate your wallet on that device with your PIN, transferring is easy and secure. PINs are easier to remember, being only 8 or 9 characters in length depending on your device's processing power.

## Verdict

Nowhere on Coincast's website is it stated that the wallet is open-source.  We [searched Github](https://github.com/search?q=co.minty.coincast) but it did not return any relevant results either. Coincast qualifies as a non-custodial wallet, but otherwise there is no indication that Coincast's source code is available for review.
